summaryrefslogtreecommitdiffstats
path: root/deps
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2020-04-26 14:49:58 +0200
committer Eric Hameleers <alien@slackware.com>2020-04-26 14:49:58 +0200
commit40610b8a6d0cb935703ed0afa957f4b7bba3036f (patch)
tree2bd5d0dc05bacba05e92450d004bb67ff3808ef5 /deps
parent0e6b923de220dc8d2068abe1e9ecd3ec779492e6 (diff)
downloadktown-40610b8a6d0cb935703ed0afa957f4b7bba3036f.tar.gz
ktown-40610b8a6d0cb935703ed0afa957f4b7bba3036f.tar.xz
Update the deps for the next release of ktown
Diffstat (limited to 'deps')
-rwxr-xr-xdeps/PyQt5/PyQt5.SlackBuild160
-rw-r--r--deps/PyQt5/patches/pyqt5-python2-crash.patch.gzbin0 -> 414 bytes
-rw-r--r--deps/PyQt5/slack-desc19
-rw-r--r--deps/accountsservice/.url2
-rwxr-xr-xdeps/accountsservice/accountsservice.SlackBuild37
-rwxr-xr-xdeps/alldeps.SlackBuild1
-rwxr-xr-xdeps/dvdauthor/dvdauthor.SlackBuild4
-rw-r--r--deps/grantlee/.url2
-rwxr-xr-xdeps/grantlee/grantlee.SlackBuild14
-rw-r--r--deps/kdsoap/.url1
-rwxr-xr-xdeps/kdsoap/kdsoap.SlackBuild120
-rw-r--r--deps/kdsoap/slack-desc19
-rw-r--r--deps/mlt/.url2
-rwxr-xr-xdeps/mlt/mlt.SlackBuild8
-rwxr-xr-xdeps/updates.SlackBuild1
15 files changed, 353 insertions, 37 deletions
diff --git a/deps/PyQt5/PyQt5.SlackBuild b/deps/PyQt5/PyQt5.SlackBuild
new file mode 100755
index 0000000..8e2c887
--- /dev/null
+++ b/deps/PyQt5/PyQt5.SlackBuild
@@ -0,0 +1,160 @@
+#!/bin/sh
+
+# Slackware build script for PyQt
+
+# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
+# Copyright 2008, 2009, 2010, 2011, 2015, 2016, 2017, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackware.com>
+# Modified by Eric Hameleers <alien@slackware.com>
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=PyQt5
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+else
+ SLKCFLAGS="-O2"
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+PYTHON2LIB=$( python2 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
+PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PKGNAM}-$VERSION
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+# Remove code that is unneeded if Qt is not bundled and crashes on python2
+# https://www.riverbankcomputing.com/pipermail/pyqt/2019-July/041896.html
+zcat $CWD/patches/pyqt5-python2-crash.patch.gz | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# This avoids compiling a version number into KDE's .la files:
+export QTDIR=/usr/lib${LIBDIRSUFFIX}/qt5
+export QT5DIR=/usr/lib${LIBDIRSUFFIX}/qt5
+
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+
+# I see no reason at this point to include python2 support. We'll see later if
+# we can get away with that or not...
+python2 configure.py \
+ --confirm-license \
+ --verbose \
+ --qsci-api \
+ -q /usr/bin/qmake-qt5 \
+ || exit 1
+
+make $NUMJOBS || make || exit 1
+# INSTALL_ROOT is needed for QtDesigner, the other Makefiles use DESTDIR
+make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+
+mv $PKG/usr/bin/pyrcc5 $PKG/usr/bin/pyrcc5-py2
+mv $PKG/usr/bin/pyuic5 $PKG/usr/bin/pyuic5-py2
+mv $PKG/usr/bin/pylupdate5 $PKG/usr/bin/pylupdate5-py2
+rm -rf $PKG/$PYTHON2LIB/${PKGNAM}/uic/port_v3/
+make clean
+
+python3 configure.py \
+ --confirm-license \
+ --verbose \
+ --qsci-api \
+ -q /usr/bin/qmake-qt5 \
+ || exit 1
+
+make $NUMJOBS || make || exit 1
+# INSTALL_ROOT is needed for QtDesigner, the other Makefiles use DESTDIR
+make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+
+rm -rf $PKG/$PYTHON3LIB/${PKGNAM}/uic/port_v2/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Remove rpaths:
+for file in $(find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : 2> /dev/null) ; do
+ if [ ! "$(patchelf --print-rpath $file 2> /dev/null)" = "" ]; then
+ patchelf --remove-rpath $file
+ fi
+done
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ ChangeLog LICENSE* NEWS* README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz
diff --git a/deps/PyQt5/patches/pyqt5-python2-crash.patch.gz b/deps/PyQt5/patches/pyqt5-python2-crash.patch.gz
new file mode 100644
index 0000000..7e9b325
--- /dev/null
+++ b/deps/PyQt5/patches/pyqt5-python2-crash.patch.gz
Binary files differ
diff --git a/deps/PyQt5/slack-desc b/deps/PyQt5/slack-desc
new file mode 100644
index 0000000..bd72b7e
--- /dev/null
+++ b/deps/PyQt5/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+PyQt5: PyQt5 (Python bindings for Qt5)
+PyQt5:
+PyQt5: PyQt5 is a set of Python bindings for Trolltech's Qt5 application
+PyQt5: framework and runs on all platforms supported by Qt5.
+PyQt5:
+PyQt5: Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
+PyQt5:
+PyQt5:
+PyQt5:
+PyQt5:
+PyQt5:
diff --git a/deps/accountsservice/.url b/deps/accountsservice/.url
index f11ad9a..f006aab 100644
--- a/deps/accountsservice/.url
+++ b/deps/accountsservice/.url
@@ -1 +1 @@
-https://www.freedesktop.org/software/accountsservice/accountsservice-0.6.45.tar.xz
+https://www.freedesktop.org/software/accountsservice/accountsservice-0.6.55.tar.xz
diff --git a/deps/accountsservice/accountsservice.SlackBuild b/deps/accountsservice/accountsservice.SlackBuild
index fa52966..e5d65ca 100755
--- a/deps/accountsservice/accountsservice.SlackBuild
+++ b/deps/accountsservice/accountsservice.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2017 Eric Hameleers, Eindhoven, NL
+# Copyright 2017, 2020 Eric Hameleers, Eindhoven, NL
# Copyright 2017 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -25,8 +25,8 @@
PKGNAM=accountsservice
-VERSION=${VERSION:-0.6.45}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-0.6.55}
+BUILD=${BUILD:-1}
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -72,6 +72,7 @@ cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -79,33 +80,31 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-[ ! -x configure ] && autoreconf -vif
-
-LDFLAGS="$SLKLDFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-CFLAGS="$SLKCFLAGS" \
-./configure \
+export LDFLAGS="$SLKLDFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+export CFLAGS="$SLKCFLAGS"
+meson build \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
--localstatedir=/var \
--sysconfdir=/etc \
- --disable-gtk-doc \
- --disable-systemd \
- --enable-admin-group=wheel \
- --program-prefix= \
- --program-suffix= \
- --build=$TARGET
+ -D admin-group=wheel \
+ -D docbook=false \
+ -D gtk-doc=true \
+ -D systemd=false \
+ -D systemdsystemunitdir=no \
+ -D user_heuristics=false \
+ || exit 1
# Build and install:
-make || exit 1
-make DESTDIR=$PKG install || exit 1
+"${NINJA:=ninja}" $NUMJOBS -C build || exit 1
+DESTDIR=$PKG meson install -C build || exit 1
# Add documentation:
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- AUTHORS COPYING NEWS README TODO \
+ AUTHORS COPYING NEWS README* TODO \
$PKG/usr/doc/$PKGNAM-$VERSION
# Compress the man page(s):
diff --git a/deps/alldeps.SlackBuild b/deps/alldeps.SlackBuild
index 62f7fc9..7970ebb 100755
--- a/deps/alldeps.SlackBuild
+++ b/deps/alldeps.SlackBuild
@@ -69,6 +69,7 @@ ALLDEPS=" \
sassc \
rttr \
quazip \
+ kdsoap \
"
# Only needed when adding support for Wayland:
#elogind \
diff --git a/deps/dvdauthor/dvdauthor.SlackBuild b/deps/dvdauthor/dvdauthor.SlackBuild
index e8c8e04..07b7f32 100755
--- a/deps/dvdauthor/dvdauthor.SlackBuild
+++ b/deps/dvdauthor/dvdauthor.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2017, 2018, 2019 Eric Hameleers, Eindhoven, NL
+# Copyright 2017, 2018, 2019, 2020 Eric Hameleers, Eindhoven, NL
# Copyright 2017 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -26,7 +26,7 @@
PKGNAM=dvdauthor
VERSION=${VERSION:-0.7.2}
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-6}
NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
CWD=$(pwd)
diff --git a/deps/grantlee/.url b/deps/grantlee/.url
index 09d105e..43a9f6f 100644
--- a/deps/grantlee/.url
+++ b/deps/grantlee/.url
@@ -1,2 +1,2 @@
-http://downloads.grantlee.org/grantlee-5.1.0.tar.gz
+http://downloads.grantlee.org/grantlee-5.2.0.tar.gz
diff --git a/deps/grantlee/grantlee.SlackBuild b/deps/grantlee/grantlee.SlackBuild
index a9e437e..e4afb09 100755
--- a/deps/grantlee/grantlee.SlackBuild
+++ b/deps/grantlee/grantlee.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2015, 2016, 2017 Eric Hameleers, Eindhoven, NL
+# Copyright 2015, 2016, 2017, 2020 Eric Hameleers, Eindhoven, NL
# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -25,10 +25,10 @@
# Used to be called 'grantlee-qt5'
PKGNAM=grantlee
SRCNAM=grantlee
-VERSION=${VERSION:-5.1.0}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-5.2.0}
+BUILD=${BUILD:-1}
-NUMJOBS=${NUMJOBS:--j7}
+NUMJOBS=${NUMJOBS:-$(nproc)}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -79,10 +79,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-## Don't make it clash with grantlee 0.x:
-#sed -i CMakeLists.txt \
-# -e 's|INCLUDE_INSTALL_DIR include|INCLUDE_INSTALL_DIR include/grantlee-qt5|'
-
mkdir -p build
cd build
QTDIR=/usr/lib${LIBDIRSUFFIX}/qt5 \
@@ -102,7 +98,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a AUTHORS CHANGELOG COPYING* GOALS README \
+cp -a AUTHORS CHANGELOG COPYING* README* \
$PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
diff --git a/deps/kdsoap/.url b/deps/kdsoap/.url
new file mode 100644
index 0000000..1cb547f
--- /dev/null
+++ b/deps/kdsoap/.url
@@ -0,0 +1 @@
+https://github.com/KDAB/KDSoap/releases/download/kdsoap-1.9.0/kdsoap-1.9.0.tar.gz
diff --git a/deps/kdsoap/kdsoap.SlackBuild b/deps/kdsoap/kdsoap.SlackBuild
new file mode 100755
index 0000000..e407a3b
--- /dev/null
+++ b/deps/kdsoap/kdsoap.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/sh
+
+# Copyright 2020 Eric Hameleers, Eindhoven, NL
+# Copyright 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+
+PKGNAM=kdsoap
+VERSION=${VERSION:-1.9.0}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=${ARCH} -mtune=i686"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf ${PKGNAM}-$VERSION
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+# Fix bogus permissions:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure and compile:
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_INSTALL_DOCDIR=/usr/doc/$PKGNAM-$VERSION \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DBUILD_TESTS=OFF \
+ ..
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ LICENSE* README.txt \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+
diff --git a/deps/kdsoap/slack-desc b/deps/kdsoap/slack-desc
new file mode 100644
index 0000000..091c73c
--- /dev/null
+++ b/deps/kdsoap/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kdsoap: kdsoap (Qt-based client/server SOAP component)
+kdsoap:
+kdsoap: KD SOAP is a tool for creating client applications for web services.
+kdsoap: KD SOAP also provides the means to create web services without
+kdsoap: the need for any further component such as a dedicated web server.
+kdsoap: It makes it possible to interact with applications which have APIs
+kdsoap: that can be exported as SOAP objects. The web service then provides
+kdsoap: a machine-accessible interface to its functionality via HTTP.
+kdsoap:
+kdsoap: See also: https://www.kdab.com/development-resources/qt-tools/kd-soap/
+kdsoap:
diff --git a/deps/mlt/.url b/deps/mlt/.url
index 9a2e287..c2c715f 100644
--- a/deps/mlt/.url
+++ b/deps/mlt/.url
@@ -1,2 +1,2 @@
-https://github.com/mltframework/mlt/archive/v6.18.0.tar.gz
+https://github.com/mltframework/mlt/archive/v6.20.0.tar.gz
diff --git a/deps/mlt/mlt.SlackBuild b/deps/mlt/mlt.SlackBuild
index 8bf05be..361bcae 100755
--- a/deps/mlt/mlt.SlackBuild
+++ b/deps/mlt/mlt.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2017, 2018, 2019 Eric Hameleers, Eindhoven, NL
+# Copyright 2017, 2018, 2019, 2020 Eric Hameleers, Eindhoven, NL
# Copyright 2017 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
@@ -27,10 +27,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mlt
-VERSION=${VERSION:-6.18.0}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-6.20.0}
+BUILD=${BUILD:-1}
-PYTHONSITEPKG=$(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
+PYTHONSITEPKG=$(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
diff --git a/deps/updates.SlackBuild b/deps/updates.SlackBuild
index 31a796e..08b617a 100755
--- a/deps/updates.SlackBuild
+++ b/deps/updates.SlackBuild
@@ -67,6 +67,7 @@ ALLDEPS=" \
sassc \
rttr \
quazip \
+ kdsoap \
"
# Only needed when adding support for Wayland:
#elogind \